22.03.2017 08:47    

muratsemih
Arkadaşlar Merhaba,
Bende birşey danışmak istiyorum... önceden hazırladığım bir block lisp komutları ile çağırdığımda mousenin ucuna gelecek.tıkladığım noktaya konacak ama konduğu noktanında koordinatlarını a ve b değişkenlerine aktaracak bir kod yazabilir misiniz? bu block çağırma konusunda yeterince başarılı olamadım..yardımcı olabilecek arkadaşlara şimdiden teşekkür ederim.

22.03.2017 09:14    

mikemoon
Alıntı
alumina :
Alıntı
mikemoon :

"measure" komutuyla pointleri at, sonra forumda "polyline nesnelere vertex ekleyen lisp" i bulup koparma islemini yap.



Selam alimuna vertex ekleyen lisp sadece çizgiyi kırıyor
Ayrık olan obje oluşturmuyor ayrık obje olması gerekiyordu

22.03.2017 09:23    

Travaci
mikemoon EXPLODE yapıcan işte beaa...

Sana dün facebook sayfasından cevap verilmedimi ?

Kafa yapıyor bizimi deniyorsun ?

Travaci (22.03.2017 10:21 GMT)

22.03.2017 10:33    

mikemoon
Facebook takı kimdi

22.03.2017 13:11    

alumina
Alıntı
muratsemih :

Kod:

(defun c:bl (/ bn)
  (if (/= (setq bn (getstring T "\nBlock name:")) "")
    (if (tblobjname "block" bn)
      (progn (setvar 'cmdecho 0)
        (vl-cmdf "._insert" (strcat bn ".dwg") pause 1 1 0)
        (setq a (getvar 'lastpoint) b a) (setvar 'cmdecho 1)
      )
    )
  ) (prin1)
)

22.03.2017 14:59    

bedyr
Merhaba arkadaşlar, elektrik iç tesisat projesini çizerken elektrik hatlarının aralıklarını ya offset ve fillet komutuyla ya da grid açıkken yapıyorum. Ama duvar boyunca sabit bir değerde offset alıp onu dönüşlere geldiğinde karşısına çıkan duvardan aynı değerde offset alıp çizgi boyunca devam eden bir lisp yapılabilirmi acaba?

23.03.2017 10:20    

Travaci
bedyr


İstediğiniz program ücretli yazılır.

23.03.2017 11:45    

bedyr
Alıntı
Travaci :
bedyr


İstediğiniz program ücretli yazılır.



Ücretini öğrenebilirmiyim?

23.03.2017 12:23    

Travaci
bedyr


Ama neden yazdırasınız ki ? Polyline ile duvarların etrafını dönüp ofset yapmak daha basit deilmi. Program işi yavaşlatmış, her duvara tıklayıp bide çizgi çizilicek yönü seçiyorsunuz.
Programla ilgili istek ve ücret için özelden iletişime geçin.

23.03.2017 13:41    

alumina
Alıntı
yemrek :


"array" komutunu deneyin, birakin yatay, dikey yada acili kopyalamayi inanin dairesel bile kopyaliyor :)

23.03.2017 13:45    

yemrek
Alıntı
alumina :
Alıntı
yemrek :


"array" komutunu deneyin, birakin yatay, dikey yada acili kopyalamayi inanin dairesel bile kopyaliyor :)



Array komutu kullandığımda hem yatayda hemde dikey de kopya oluşturuyor.ben bu kopyaları sonra tekrardan silmek zorunda kalıyorum.Polar komutunda ise koordinat girmem gerekiyor.Bu seblerden dolayı yatay ve dikey uzunluğunu verdiğim objenin kopyasını oluşturmak istiyorum. Yani yapılabilirmi bilmiyorum ama istediğim seçtiğim objenin hipotenüs uzunluğu kadar mesafede kopyasını oluşturmak

23.03.2017 13:56    

alumina
Alıntı
yemrek :

ornek cizim paylasir misiniz

24.03.2017 08:18    

yemrek
Alıntı
alumina :
Alıntı
yemrek :

ornek cizim paylasir misiniz



Yuvarlak içine aldığım kısımların sadece kalmasını istiyorum.

24.03.2017 08:42    

alumina
sadece kopyalanacak olan nesneleri bulut icine alip kopyalama referans uzakligini gosteren cizim ekler misin. fazladan bir sey olmasin cizimde. şu iki nesneyi (bulut icinde) kopyaliyorum, kopyalacagim mesafeyide şuradan şuraya olacak sekilde ayarliyorum gibi.

24.03.2017 08:51    

Travaci
yemrek


Autocad versiyonun 2013 üzeri ise
Array yaptıktan sonra gerek obje sayısı gerek aralık gerek array açısını propertiesten dilediğin gibi değiştirebilirsin.
Öyle ise Amerikayı yeniden keşfettirmeyelim. :wink

24.03.2017 08:51    

yemrek
Alıntı
alumina :


Resmi ekledim.Yani istediğim şu ; seçtiğim objelerin yatayda 300 mm dikeyde 300 mm mesafede bir kopyasının uluşması?

Autocad 2007 kullanıyorum. Şimdi 2014 kullan diyeceksin belki ama 2007 alışkınım :D

24.03.2017 09:48    

Travaci
Yemrek


Sizin nesliniz hala tükenmedimi :D

24.03.2017 10:03    

alumina
Alıntı
yemrek :

Kod:

(defun c:cl (/)
  (if (ssget)
    (alert (vl-list->string '(50 48 48 55 32 109 105 63 32 58 41 58 41)))) (princ)
)

24.03.2017 13:25    

yemrek
Alıntı
alumina :
Alıntı
yemrek :

Kod:

(defun c:cl (/)
  (if (ssget)
    (alert (vl-list->string '(50 48 48 55 32 109 105 63 32 58 41 58 41)))) (princ)
)




Kardeş eline sağlık..

24.03.2017 13:42    

bedyr
Merhaba arkadaşlar aşağıda eklediğim lispte karakter sayısı arttığı zaman daireden veya kareden taşıyor. Bu düzeltilebilir mi acaba?


(defun c:no ()
(setq om (getvar "osmode"))
(setvar "cmdecho" 0)
(setq T1 "\n yazi yuksekligi <"
T2 "> ? "
T3 (getvar "textsize")
)
(terpri)
(setq TH (getreal (strcat T1 (rtos T3 2 2) T2)))
(if (= TH nil)
(setq TH t3)
)
(setq h1 (getstring "\n açiklama olarak bas ek ? "))
(setq n (getint "\n etiket numarasi kaçtan baslasin ? ")) ; 1
(initget 1 "d k") ; 2
(setq z (getkword "\n daireli mi koseli mi olsun ? ")) ; 3
(if
(= z "d")
(progn
(while
(setq p1 (getpoint "\n ilk noktayi giriniz"))
(setvar "osmode" 0)
(setq p2 (getpoint p1 "\n ikinci noktayi giriniz"))
(command "line" p1 p2 "") ; 4
(command "circle" p1 (* 0.1 th)) ; 5
(command "circle" p2 (* 0.9 th))
(command "trim" "l" "" p2 "")
(setq nn (strcat h1 (itoa n)))
(command "text" "j" "mc" p2 th "0" nn "")
(setq n (1+ n)) ; 6
(setvar "osmode" om)
)
)
)
(if ; 7
(= z "k")
(progn
(setq ko (getint "\n kac koseli olsun ")) ; 8
(while ; 9
(setq p1 (getpoint "\n ilk noktayi giriniz"))
(setvar "osmode" 0)
(setq p2 (getpoint p1 "\n ikinci noktayi giriniz"))
(command "line" p1 p2 "")
(command "circle" p1 (* 0.1 th))
(command "polygon" ko p2 "c" (* 0.9 th))
(command "trim" "l" "" p2 "")
(setq nn (strcat h1 (itoa n)))
(command "text" "j" "mc" p2 th "0" nn "")
(setq n (1+ n))
(setvar "osmode" om)
)
)
)
)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] > 80 < [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.376 saniye - Sorgu: 100 - Ortalama: 0.01376 saniye